using System;
using System.Collections.Generic;
using System.Text;
using Siger.Middlelayer.Utility.ExcelImport;

namespace Siger.Middlelayer.Utility.ImportEntities
{
    public class MachineStateRecordList : ImportBase
    {
        [ExcelColumn("序号")]
        public int No { get; set; }

        [ExcelColumn("设备位置")]
        public string Location { get; set; }

        [ExcelColumn("状态名称")]
        public string StateName { get; set; }

        [ExcelColumn("产品名称")]
        public string ProductName { get; set; }

        [ExcelColumn("部门")]
        public string SectionName { get; set; }

        [ExcelColumn("班组")]
        public string WorkGroupName { get; set; }

        [ExcelColumn("姓名")]
        public string UserName { get; set; }

        [ExcelColumn("开始时间")]
        public string StartTime { get; set; }

        [ExcelColumn("结束时间")]
        public string EndTime { get; set; }

        [ExcelColumn("累计工时")]
        public string TotalTimes { get; set; }
    }

    public class ChartList : ImportBase
    {
        [ExcelColumn("序号")]
        public int No { get; set; }

        [ExcelColumn("横坐标")]
        public string X { get; set; }

        [ExcelColumn("纵坐标")]
        public string Y { get; set; }

    }
}
